/* Modifiering av ett tidigare exempel. Nu används en switch-sats,
   för att översätta från ett nummer till namn på en bildfil. */
// --------------------------------------------------
// Globala variabler och konstanter
let imgElem;		 // img-elementet för bilden i bildspelet
let imgNr = 1;		 // Nummer för aktuell bild, börja på 1
const maxImgNr = 9;	 // Antal bilder
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
	imgElem = document.querySelector("#imgViewer img");
	document.querySelector("#leftBtn").addEventListener("click", prevImg);
	document.querySelector("#rightBtn").addEventListener("click", nextImg);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Ta fram föregående bild
function prevImg() {
	if (imgNr > 1) {
		imgNr--;
		showImg();
	}
} // Slut prevImg
// --------------------------------------------------
// Ta fram nästa bild
function nextImg() {
	if (imgNr < maxImgNr) {
		imgNr++;
		showImg();
	}
} // Slut nextImg
// --------------------------------------------------
// Visa bilden som bestäms av imgNr
function showImg() {
	let name;
	switch (imgNr) {
		case 1: name = "apple"; break;
		case 2: name = "banana"; break;
		case 3: name = "kiwi"; break;
		case 4: name = "lemon"; break;
		case 5: name = "orange"; break;
		case 6: name = "pear"; break;
		case 7: name = "peach"; break;
		case 8: name = "pineapple"; break;
		case 9: name = "watermelon"; break;
        default: name = "no fruit";
	}
	imgElem.src =  "img/fruits/" + name + ".jpg";
} // Slut showImg
// --------------------------------------------------
